Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.beans.info.plugins
Class AbstractEventInfo

    java.lang.Object
      org.jboss.util.JBossObject
          org.jboss.beans.info.plugins.AbstractEventInfo

All Implemented Interfaces:
  Cloneable, EventInfo, org.jboss.util.JBossInterface

public class AbstractEventInfo
extends org.jboss.util.JBossObject
implements EventInfo

Event info.

Version:
  $Revision: 1.5 $
Author:
  Adrian Brock

Field Summary

Fields inherited from class org.jboss.util.JBossObject
`hashCode, log, toString`

Constructor Summary
`AbstractEventInfo()` Create a new event info

Methods inherited from class org.jboss.util.JBossObject
`cacheGetHashCode, cacheToString, clone, equals, flushJBossObjectCache, getClassShortName, getHashCode, hashCode, list, notEqual, toShortString, toShortString, toString, toString, toStringImplementation`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.jboss.util.JBossInterface
`clone, toShortString, toShortString`

Constructor Detail

### AbstractEventInfo

    public AbstractEventInfo()

  Create a new event info

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.